export declare function scanWebsite(baseUrl: string, maxDepth?: number, currentDepth?: number, visited?: Set<string>, emails?: Set<string>, socialLinks?: Map<string, string>): Promise<{
    emails: string[];
    socialLinks: string[];
}>;
export declare function scanWebsiteWrapper(baseUrl: string): Promise<{
    emails: string[];
    socialLinks: string[];
}>;
